"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAuthModuleEntry = exports.getAuthModuleEntryBuffer = void 0;
const constants_1 = require("../constants");
const schemas_1 = require("../schemas");
const keyMapper = (key) => key.toString('hex');
const keyComparator = (a, b) => a.compare(b);
const getAuthModuleEntryBuffer = async (account) => {
    const authObj = {
        numberOfSignatures: account.keys.numberOfSignatures,
        mandatoryKeys: account.keys.mandatoryKeys.sort(keyComparator).map(keyMapper),
        optionalKeys: account.keys.optionalKeys.sort(keyComparator).map(keyMapper),
        nonce: String(account.sequence.nonce),
    };
    return {
        address: account.address,
        authAccount: authObj,
    };
};
exports.getAuthModuleEntryBuffer = getAuthModuleEntryBuffer;
const getAuthModuleEntry = async (authStoreEntries) => ({
    module: constants_1.MODULE_NAME_AUTH,
    data: { authDataSubstore: authStoreEntries },
    schema: schemas_1.genesisAuthStoreSchema,
});
exports.getAuthModuleEntry = getAuthModuleEntry;
//# sourceMappingURL=auth.js.map